This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 755970 - /etc/logrotate.d/bacula duplicate log entry for /var/log/bacula/bacula.log
/etc/logrotate.d/bacula duplicate log entry for /var/log/bacula/bacula.log
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 09:59 EST by Jean-Eudes ONFRAY
Modified: 2012-06-11 05:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 05:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-Eudes ONFRAY 2011-11-22 09:59:52 EST
Description of problem:

/etc/cron.daily/logrotate:
error: bacula:3 duplicate log entry for /var/log/bacula/bacula.log

/etc/logrotate.d/bacula contains 
/var/log/bacula/*.log /var/spool/bacula/log /var/log/bacula/bacula.log {

/var/log/bacula/*.log match /var/log/bacula/bacula.log that makes it duplicate.

Version-Release number of selected component (if applicable):
# rpm -q --whatprovides /etc/logrotate.d/bacula
bacula-common-5.0.3-9.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. run logrotate
  
Actual results:
/etc/cron.daily/logrotate:
error: bacula:3 duplicate log entry for /var/log/bacula/bacula.log

Expected results:
no output

Additional info:
remove /var/log/bacula/bacula.log from /etc/logrotate.d/bacula to avoid this error
Comment 1 Lukáš Nykrýn 2011-12-22 06:09:05 EST
fix commited to git -> http://lists.fedoraproject.org/pipermail/scm-commits/2011-December/696791.html -> modified
Comment 2 Simone Caronni 2012-01-20 11:03:43 EST
Updates bacula-5.0.3-19.fc15 and bacula-5.0.3-19.fc16 fix the problem.

Note You need to log in before you can comment on or make changes to this bug.